package com.zm.order.tool.server.enums;

import java.util.Objects;

/**
 * @Description 业务类型枚举
 * @Author: ph
 * @Date: 2019/10/29 16:38
 */
public enum BizTypeEnum {


    /**
     * 餐饮
     */
    CY(1, "餐饮"),

    /**
     * 零售
     */
    LS(2, "零售"),

    /**
     * 店小铺
     */
    PT(3, "店小铺"),

    /**
     * 烘焙
     */
    BAKING(4, "烘焙"),

    /**
     * 新餐饮
     */
    CATERING(5, "新餐饮"),

    /**
     * 企迈门店助手
     */
    ASSISTANT(6, "企迈门店助手"),

    /**
     * 正餐
     */
    MEAL_MATE(7, "正餐"),

    /**
     * 企迈友店
     */
    U_STORE(9, "企迈友店"),

    /**
     * 商城
     */
    MALL(8, "商城"),

    /**
     * 外卖到家
     */
    TAKEAWAY(10, "外卖到家"),
    ;

    private final Integer type;

    private final String desc;

    BizTypeEnum(final Integer type, final String desc) {
        this.type = type;
        this.desc = desc;
    }

    public static BizTypeEnum getValue(Integer bizType) {
        for (BizTypeEnum bizTypeEnum : values()) {
            if (Objects.equals(bizTypeEnum.getType(), bizType)) {
                return bizTypeEnum;
            }
        }
        return null;
    }

    public Integer getType() {
        return type;
    }

    public String getDesc() {
        return desc;
    }
}
